Clipform

Get node media status

Returns the current media attached to a node, including processing status. Useful for polling after a video upload to check when it becomes ready.

GET
/forms/{formId}/nodes/{nodeId}/media

Authorization

Authorization
Required
Bearer <token>

API key (cf_*) passed as Bearer token

In: header

Path Parameters

formId
Required
string
Format: "uuid"
nodeId
Required
string
Format: "uuid"
curl -X GET "https://api.clipform.io/v1/forms/497f6eca-6276-4993-bfeb-53cbbbba6f08/nodes/497f6eca-6276-4993-bfeb-53cbbbba6f08/media" \
  -H "Authorization: Bearer <token>"

Media details (or null if no media)

{
  "media": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "media_type": "video",
    "media_source": "uploaded",
    "status": "ready",
    "playback_id": "string",
    "storage_path": "string",
    "background_color": "string",
    "audio_storage_path": "string",
    "duration": 0,
    "video_width": 0,
    "video_height": 0,
    "options_reveal_seconds": 0,
    "transcription_status": "pending",
    "created_at": "2019-08-24T14:15:22Z"
  }
}